import { SceneManager } from './manager';
export declare abstract class Scene {
    id: string;
    data: any;
    onActivate(manager: SceneManager): void;
    onDeactivate(): void;
    onSwitch(data: any): void;
    abstract update(dt: number): void;
    abstract updateDraw(): void;
}
